org.keycloak.dom.xmlsec.w3.xmldsig

## Class X509DataType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.X509DataType

-     public class X509DataType
      extends Object

  Java class for X509DataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="X509DataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence maxOccurs="unbounded">
               <choice>
                 <element name="X509IssuerSerial" type="{http://www.w3.org/2000/09/xmldsig#}X509IssuerSerialType"/>
                 <element name="X509SKI" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <element name="X509SubjectName" type="{http://www.w3.org/2001/XMLSchema}string"/>
                 <element name="X509Certificate" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <element name="X509CRL" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <any/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `x509IssuerSerialOrX509SKIOrX509SubjectName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509DataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object obj)`
    `List<Object>` | `getDataObjects()` Gets the value of the x509IssuerSerialOrX509SKIOrX509SubjectName property.
    `void` | `remove(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x509IssuerSerialOrX509SKIOrX509SubjectName

          protected List<Object> x509IssuerSerialOrX509SKIOrX509SubjectName

  - ### Constructor Detail

    - #### X509DataType

          public X509DataType()

  - ### Method Detail

    - #### add

          public void add(Object obj)

    - #### remove

          public void remove(Object obj)

    - #### getDataObjects

          public List<Object> getDataObjects()

      Gets the value of the x509IssuerSerialOrX509SKIOrX509SubjectName property.

      Objects of the following type(s) are allowed in the list `Element` `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.